<section id="traveller">
    <div class="container-fluid bgclr">
        <ul class="breadcrumb reset">
            <h5>PromoCode</h5>
        </ul>
        <div class="card">
            <div class="card-body">
                <div class="card">
                    <div class="card-header">
                        Promocode Management
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-5 col-sm-5 col-md-6 col-lg-6">
                                <div class="d-flex flex-row bd-highlight mb-3">
                                    <div class="p-2 bd-highlight">

                                        <a [routerLink]="['add_promocode']" class="btn btn-success btn-mini">
                                            <i class="fa fa-plus"></i>
                                            Add Promocode</a>
                                    </div>
                                </div>
                            </div>
                            <div class="d-flex bd-highlight col-7 col-sm-7 col-md-3 col-lg-3 ml-auto">
                                <div class="p-2 flex-fill bd-highlight">

                                    <div class="form-group">
                                        <div class="input-group">
                                            <input type="text" class="form-control" placeholder="Search" type="text" [(ngModel)]="searchText">
                                            <div class="input-group-append">
                                                <span class="input-group-text btnclrs">
                                                    <i class="fa fa-search"></i>
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="p-2 flex-fill bd-highlight">
                                    <button class="btn excelbtn" data-placement="left" data-toggle="tooltio"
                                        title="Excel" (click)="exportAsXLSX()">
                                        <i aria-hidden="true" class="fa fa-file-excel-o fa-2x"></i>
                                    </button>
                                </div>

                            </div>

                        </div>
                        <hr>
                        <div class="table-responsive py-2">
                            <table class="table table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th scope="col">Sl.No</th>
                                        <th scope="col">CodeName</th>
                                        <th scope="col">Type</th>
                                        <th scope="col">Value</th>
                                        <th scope="col">Usage Limit</th>
                                        <th scope="col">Start date</th>
                                        <th scope="col">Expired date</th>
                                        <th scope="col">Status</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr *ngFor = "let promocode of promocodes| filter:searchText| paginate: { itemsPerPage: 15, currentPage: p }; let i = index">
                                        <td *ngIf="p>1">{{((p-1)*15)+(i+1)}}</td>
                                        <td *ngIf="p===1">{{i+1}}</td>
                                       <td>{{promocode.codeName}}</td>
                                       <td>{{promocode.type}}</td>
                                       <td>{{promocode.value}}</td>
                                       <td>{{promocode.usage_limit}}</td>
                                       <td>{{promocode.start_date | date}}</td>
                                       <td>{{promocode.end_date | date}}</td>
                                       <td ><ui-switch [(ngModel)]="promocode.status"></ui-switch></td> 
                                        <td>
                                            <a class="btn edit" [routerLink]='["edit_promocode", promocode._id]'>
                                                <i class="fa fa-pencil" aria-hidden="true"></i>
                                            </a>
                                            <a class="btn delete" (click)="delete(promocode._id)">
                                                <i class="fa fa-trash" aria-hidden="true"></i>
                                            </a>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                        <div class="text-center">
                            <pagination-controls (pageChange)="p = $event"></pagination-controls>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>